from cryoem.model.isomixture cimport IsoMixture1D
from cryoem.data.griddata cimport GridDataReal
from cryoem.data.grid cimport Grid1D


cdef class ScaledIsoMixture1D:
    cdef:
        IsoMixture1D _mixture
        double _scale, _noise_variance
    cpdef GridDataReal evaluate_grid(self, Grid1D grid)
    cpdef GridDataReal sample_grid(self, Grid1D grid)
    cpdef copy(self)

